Package io.vertx.ext.auth.otp.hotp

## Class HotpAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.otp.hotp.HotpAuthOptions

-     public class HotpAuthOptions
      extends Object

  Options configuring HOTP authentication.
  Author:
    Dmitry Novikov

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HotpAuthOptions()` |
    `HotpAuthOptions​(int passwordLength, int authAttemptsLimit, int lookAheadWindow)` |
    `HotpAuthOptions​(JsonObject jsonObject)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAuthAttemptsLimit()` |
    `long` | `getCounter()` |
    `int` | `getLookAheadWindow()` |
    `int` | `getPasswordLength()` |
    `boolean` | `isUsingAttemptsLimit()` |
    `boolean` | `isUsingResynchronization()` |
    `HotpAuthOptions` | `setAuthAttemptsLimit​(int authAttemptsLimit)` |
    `HotpAuthOptions` | `setCounter​(long counter)` |
    `HotpAuthOptions` | `setLookAheadWindow​(int lookAheadWindow)` |
    `HotpAuthOptions` | `setPasswordLength​(int passwordLength)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HotpAuthOptions

          public HotpAuthOptions​(JsonObject jsonObject)

    - #### HotpAuthOptions

          public HotpAuthOptions()

    - #### HotpAuthOptions

          public HotpAuthOptions​(int passwordLength,
                                 int authAttemptsLimit,
                                 int lookAheadWindow)

  - ### Method Detail

    - #### getPasswordLength

          public int getPasswordLength()

    - #### getAuthAttemptsLimit

          public int getAuthAttemptsLimit()

    - #### getLookAheadWindow

          public int getLookAheadWindow()

    - #### getCounter

          public long getCounter()

    - #### setPasswordLength

          public HotpAuthOptions setPasswordLength​(int passwordLength)

    - #### setAuthAttemptsLimit

          public HotpAuthOptions setAuthAttemptsLimit​(int authAttemptsLimit)

    - #### setLookAheadWindow

          public HotpAuthOptions setLookAheadWindow​(int lookAheadWindow)

    - #### setCounter

          public HotpAuthOptions setCounter​(long counter)

    - #### isUsingAttemptsLimit

          public boolean isUsingAttemptsLimit()

    - #### isUsingResynchronization

          public boolean isUsingResynchronization()